﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EntityFrameWorkLearning
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var oAWEntities = new AdventureWorksEntities())
            {
                // 1. Select the count of all products that are sold out
                //    This will only work if you re-add the deleted MakeFlag
                //var query = from p in oAWEntities.Product
                //            where p.MakeFlag == true
                //            select p;

                // 2. Select the count of all products that are sold out
                var query = from p in oAWEntities.Product
                            where p is SoldOutProduct
                            select p;

                Console.WriteLine(string.Format("SoldOutProductCount: {0}", query.Count()));
                Console.ReadLine();
            }
        }
    }
}
